> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get free feature details

> Get information about the details of the activated free feature.



## OpenAPI

````yaml /api-reference/services_documented/cdn_reseller_api.yaml get /cdn/admin/free_features/{free_feature_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN Reseller Account
    description: Information about CDN product settings in your account.
    x-displayName: Account
  - name: CDN Reseller service
    description: Information about the current state of CDN service in your account.
    x-displayName: CDN service
  - name: CDN Reseller Features
    description: Information about free and paid features available for you account.
    x-displayName: Features
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
    x-displayName: Balancer
  - name: CDN Reseller Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
    x-displayName: Origin shielding
paths:
  /cdn/admin/free_features/{free_feature_id}:
    get:
      tags:
        - CDN Reseller Features
      summary: Get free feature details
      description: Get information about the details of the activated free feature.
      operationId: get-free-feature-details
      parameters:
        - $ref: '#/components/parameters/path_free_feature_id'
      responses:
        '200':
          $ref: '#/components/responses/FreeFeaturesDetail'
        '404':
          $ref: '#/components/responses/FreeFeatureNotFound'
components:
  parameters:
    path_free_feature_id:
      name: free_feature_id
      in: path
      required: true
      schema:
        allOf:
          - $ref: '#/components/schemas/body_response_paid_features_ID'
  responses:
    FreeFeaturesDetail:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PaidFeaturesDetail'
          examples:
            default:
              $ref: '#/components/examples/FreeFeaturesDetail'
    FreeFeatureNotFound:
      description: Free feature is not found.
  schemas:
    body_response_paid_features_ID:
      type: integer
      description: Internal feature activation ID.
    PaidFeaturesDetail:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_paid_features_ID'
        client_id:
          allOf:
            - $ref: '#/components/schemas/body_response_client_ID'
        feature:
          allOf:
            - $ref: '#/components/schemas/FeaturesDetail'
        feature_id:
          allOf:
            - $ref: '#/components/schemas/body_response_features_ID'
        create_date:
          allOf:
            - $ref: '#/components/schemas/body_response_paid_features_CreateDate'
    body_response_client_ID:
      type: integer
      description: Client account ID.
    FeaturesDetail:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_features_ID'
        name:
          allOf:
            - $ref: '#/components/schemas/body_response_features_Name'
        service:
          type: string
          description: Parameter is **legacy**.
        is_free:
          allOf:
            - $ref: '#/components/schemas/body_response_features_IsFree'
    body_response_features_ID:
      type: integer
      description: Feature ID.
    body_response_paid_features_CreateDate:
      type: string
      format: date-time
      description: >-
        Date and time when the feature was activated (ISO 8601/RFC 3339 format,
        UTC.)
    body_response_features_Name:
      type: string
      description: Feature name.
    body_response_features_IsFree:
      type: boolean
      description: |-
        Defines whether a feature is free or paid.

        Possible values:
        - **true** - Feature is free.
        - **false** - Feature is paid.
  examples:
    FreeFeaturesDetail:
      value:
        id: 1
        client_id: 1
        feature:
          id: 1
          name: Example 1
          service: CDN
          is_free: true
        feature_id: 1
        create_date: '2021-01-01T00:00:00.000000Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````